MulticastServer
Keywords: uk.ac.ic.doc.automed.p2p.communication.MulticastServer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.communication
Class MulticastServer

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.communication.AbstractServer
          uk.ac.ic.doc.automed.p2p.communication.UDPServer
              uk.ac.ic.doc.automed.p2p.communication.MulticastServer

All Implemented Interfaces:
  Threadable

    public class MulticastServer

extends UDPServer

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.p2p.communication.UDPServer
`jHandler, msgQueue, serverSocket`

Fields inherited from class uk.ac.ic.doc.automed.p2p.communication.AbstractServer
`isReady, numWorkers, readBufferSize, serverPort, timeOut`

Constructor Summary
`MulticastServer(java.lang.String groupAddress, int serverPort, RequestListener handler, int timeOut, int numWorkers, int bufferSize)` Creates a new instance of MulticastServer

Method Summary
`protected void` | `init()` Customise init method to use `MutltiCastSocket`
`void` | `joinGroup()` Leaves multicast group
`void` | `leaveGroup()` Leaves multicast group

Methods inherited from class uk.ac.ic.doc.automed.p2p.communication.UDPServer
`handleAction, initQueue, runAction`

Methods inherited from class uk.ac.ic.doc.automed.p2p.communication.AbstractServer
`getHandler, getReadyState, getServerPort, setReadyState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MulticastServer

    public MulticastServer(java.lang.String groupAddress,
                           int serverPort,
                           RequestListener handler,
                           int timeOut,
                           int numWorkers,
                           int bufferSize)
                    throws CommunicationException

  Creates a new instance of MulticastServer

  Throws:
    `CommunicationException`

Method Detail

### init

    protected void init()
                 throws CommunicationException

  Customise init method to use `MutltiCastSocket`

  Overrides:
    `init` in class `UDPServer`
  Throws:
    `CommunicationException`

### leaveGroup

    public void leaveGroup()
                    throws CommunicationException

  Leaves multicast group

  Throws:
    `CommunicationException`

### joinGroup

    public void joinGroup()
                   throws CommunicationException

  Leaves multicast group

  Throws:
    `CommunicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD